Skip to main content
POST
Create an Assertion

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

playbookId
string
required

The unique identifier for the Playbook.

Required string length: 24
Pattern: ^[a-z0-9]{24}$
stepId
string
required

The unique identifier for the Playbook Step.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
type
enum<string>

The type of the Assert

Available options:
assertText,
assertData,
assertState,
assertContext,
assertIntent,
assertSlot
params
object

Response

Returns created Playbook Step Assert object.

type
enum<string>

The type of the Assert

Available options:
assertText,
assertData,
assertState,
assertContext,
assertIntent,
assertSlot
params
object
_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on July 22, 2026